package com.yonge.cooleshow.biz.dal.enums;


import com.yonge.toolset.base.enums.BaseEnum;

/**
* @description: 用户动作枚举
* @author zx
* @date 2022/4/6 13:59
*/
public enum ImNetworkRoomMemberChangedEnum implements BaseEnum<Integer, ImNetworkRoomMemberChangedEnum> {

    JOIN(0,"加入"),
    LEAVE(1,"离开"),
    KICK(2,"踢出");

    private Integer code;
    private String msg;

    ImNetworkRoomMemberChangedEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
